# Uses of Class
org.apache.lucene.search.highlight.WeightedSpanTerm

Packages that use WeightedSpanTerm
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of WeightedSpanTerm in org.apache.lucene.search.highlight

  Methods in org.apache.lucene.search.highlight that return WeightedSpanTerm
  Modifier and Type
  Method
  Description
  `WeightedSpanTerm`
  QueryScorer.`getWeightedSpanTerm(String token)`
  Retrieve the `WeightedSpanTerm` for the specified token.
  `WeightedSpanTerm`
  WeightedSpanTermExtractor.PositionCheckingMap.`put(K key, WeightedSpanTerm newTerm)`
  Methods in org.apache.lucene.search.highlight that return types with arguments of type WeightedSpanTerm
  Modifier and Type
  Method
  Description
  `Map<String,WeightedSpanTerm>`
  WeightedSpanTermExtractor.`getWeightedSpanTerms(Query query, float boost, TokenStream tokenStream)`
  Creates a Map of `WeightedSpanTerms` from the given `Query` and `TokenStream`.
  `Map<String,WeightedSpanTerm>`
  WeightedSpanTermExtractor.`getWeightedSpanTerms(Query query, float boost, TokenStream tokenStream, String fieldName)`
  Creates a Map of `WeightedSpanTerms` from the given `Query` and `TokenStream`.
  `Map<String,WeightedSpanTerm>`
  WeightedSpanTermExtractor.`getWeightedSpanTermsWithScores(Query query, float boost, TokenStream tokenStream, String fieldName, IndexReader reader)`
  Creates a Map of `WeightedSpanTerms` from the given `Query` and `TokenStream`.
  Methods in org.apache.lucene.search.highlight with parameters of type WeightedSpanTerm
  Modifier and Type
  Method
  Description
  `WeightedSpanTerm`
  WeightedSpanTermExtractor.PositionCheckingMap.`put(K key, WeightedSpanTerm newTerm)`
  Method parameters in org.apache.lucene.search.highlight with type arguments of type WeightedSpanTerm
  Modifier and Type
  Method
  Description
  `protected void`
  WeightedSpanTermExtractor.`extract(Query query, float boost, Map<String,WeightedSpanTerm> terms)`
  Fills a `Map` with `WeightedSpanTerm`s using the terms from the supplied `Query`.
  `protected void`
  WeightedSpanTermExtractor.`extractUnknownQuery(Query query, Map<String,WeightedSpanTerm> terms)`
  `protected void`
  WeightedSpanTermExtractor.`extractWeightedSpanTerms(Map<String,WeightedSpanTerm> terms, SpanQuery spanQuery, float boost)`
  Fills a `Map` with `WeightedSpanTerm`s using the terms from the supplied `SpanQuery`.
  `protected void`
  WeightedSpanTermExtractor.`extractWeightedTerms(Map<String,WeightedSpanTerm> terms, Query query, float boost)`
  Fills a `Map` with `WeightedSpanTerm`s using the terms from the supplied `Query`.
  `void`
  WeightedSpanTermExtractor.PositionCheckingMap.`putAll(Map<? extends K,? extends WeightedSpanTerm> m)`
  Constructors in org.apache.lucene.search.highlight with parameters of type WeightedSpanTerm
  Modifier
  Constructor
  Description
  ``
  `QueryScorer(WeightedSpanTerm[] weightedTerms)`